package jp.ossc.petstore.dto.functiondto;

import jp.ossc.petstore.common.Cart;
import jp.ossc.petstore.model.Customer;


/**
 * OrderFunctionDTO
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class OrderFunctionDTO extends FunctionDTO {

	/**
	 * 顧客情報
	 */
	private Customer customer = null;
	
	/**
	 * カート情報
	 */
	private Cart cart = null;
	
	/**
	 * 注文ＩＤ
	 */
	private String orderId = null;


	/**
	 * 顧客情報取得
	 * @return 顧客情報
	 */
	public Customer getCustomer() {
		return customer;
	}

	/**
	 * 顧客情報設定
	 * @param customer 顧客情報
	 */
	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	/**
	 * カート情報取得
	 * @return カート情報
	 */
	public Cart getCart() {
		return cart;
	}

	/**
	 * カート情報設定
	 * @param cart カート情報
	 */
	public void setCart(Cart cart) {
		this.cart = cart;
	}

	/**
	 * 注文ＩＤ取得
	 * @return 注文ＩＤ
	 */
	public String getOrderId() {
		return orderId;
	}

	/**
	 * 注文ＩＤ設定
	 * @param orderId 注文ＩＤ
	 */
	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

}
